#ifndef GRAFO_H_
#define GRAFO_H_

#include "lista.h"

/*
 * A dieferencia de un nodo de la lista, un nodo de grafo
 * posee un conjunto de "siguientes" o vecinos. Este conjunto
 * lo representamos con una lista enlazada */
typedef struct {
    LISTA *ady;
    void *p;
}nodo;

/*
 * Creamos un nodo con contenido p y conjunto de vecinos ady
 */
nodo *crear_nodo(void *p, LISTA *ady);

/*
 * Libera la memoria del grafo
 */
void liberar_nodo(nodo *n);

#endif /* GRAFO_H_ */
