#ifndef LISTA_H_
#define LISTA_H_
/*
 * Lista simplemente enlazada:
 * Un nodo esta compuesto por un puntero "next" al siguiente nodo
 * y un puntero "p" al contenido (un string x ejemplo)
 */

struct nodo {
    struct nodo *next;
    void *val;
};

/*
 * Una lista estará conformada por un puntero al primer elemento
 * y un segundo puntero "móvil" para moverse dentro de la lista.
 */

typedef struct {
	struct nodo *t, *h;
} LISTA;
/* agrega el elto p al comienzo de la lista l */
LISTA *cons_l(void *p, LISTA *l);

/* Retorna el elemento más nuevo de la lista y se posiciona al comienzo */
void *first_l(LISTA *l);

/* Retorna el elemento siguiente de la lista */
void *next_l(LISTA *l);

/* Libera la lista completa */
void free_l(LISTA *l);

/*libera nodos desde el dado hasta que llege a uno NULL*/
void free_nodo(struct nodo *n);

#endif /*LISTA_H_*/
